# AiBrow

The AiBrow API is implemented by a number of different backends. These could be:

* [llama.cpp through the AiBrow extension](https://docs.aibrow.ai/api-reference/ai/aibrow)
* [WebGPU & WASM in the browser](https://docs.aibrow.ai/api-reference/ai/aibrowweb)
* [The Chrome Prompt API in the browser](https://docs.aibrow.ai/api-reference/ai/browserai)

##


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aibrow.ai/api-reference/aibrow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
